#
# Copyright (c) 1994-1997 by Sun Microsystems Inc.
#
# @(#)javac.properties	1.15 97/03/10
#

javac.err.internal=\
	Errore interno.
javac.err.eof.in.comment=\
	Commento non terminato alla fine dell''input.
javac.err.eof.in.string=\
	Stringa non terminata alla fine dell''input.
javac.err.newline.in.string=\
	Stringa non terminata alla fine della riga.
javac.err.invalid.char.constant=\
	Costante carattere non valida.
javac.err.unbalanced.paren=\
	Parentesi non bilanciate.
javac.err.invalid.escape.char=\
	Carattere di escape non valido.
javac.err.invalid.octal.number=\
	Carattere non valido nel numero ottale.
javac.err.invalid.number=\
	Carattere non valido nel numero.
javac.err.funny.char=\
	Carattere non valido nell''input.
javac.err.float.format=\
	Formato in virgola mobile non valido.
javac.err.overflow=\
	Superamento del valore numerico massimo.
javac.err.underflow=\
	Superamento del valore numerico minimo.
javac.err.token.expected=\
	''{0}'' atteso.
javac.err.statement.expected=\
	Istruzione attesa.
javac.err.type.expected=\
	Tipo atteso.
javac.err.identifier.expected=\
	Identificativo atteso.
javac.err.class.expected=\
	Parola chiave ''class'' o ''interface'' attesa.
javac.err.toplevel.expected=\
	Dichiarazione di classe o interfaccia attesa.
javac.err.missing.term=\
	Termine mancante.
javac.err.else.without.if=\
	''else'' senza ''if''.
javac.err.catch.without.try=\
	''catch'' senza ''try''.
javac.err.finally.without.try=\
	''finally'' senza ''try''.
javac.err.try.without.catch.finally=\
	''try'' senza ''catch'' o ''finally''.
javac.err.case.without.switch=\
	''case'' esterno all''istruzione switch.
javac.err.default.without.switch=\
	''default'' esterno all''istruzione switch.
javac.err.io.exception=\
	Errore di I/O in {0}.
javac.err.array.index.required=\
	Indice dell''array obbligatorio.
javac.err.not.array=\
	[] è applicabile solo agli array. Non può essere applicato a {0}.
javac.err.array.dim.in.decl=\
	Impossibile specificare la dimensione dell''array in una dichiarazione.
javac.err.array.dim.in.type=\
	Impossibile specificare la dimensione dell''array in una espressione di tipo.
javac.err.invalid.array.expr=\
	Le costanti carattere possono essere utilizzate solo negli inizializzatori.
javac.err.invalid.array.init=\
	Inizializzatore non valido per il tipo {0}.
javac.err.invalid.lhs.assignment=\
	Lato sinistro dell''assegnazione non valido.
javac.err.invalid.args=\
	Argomenti non validi per {0}.
javac.err.invalid.cast=\
	Conversione di tipo non valida da {0} a {1}.
javac.err.invalid.instanceof=\
	{0} non può essere l''istanza di {1}.
javac.err.invalid.type.expr=\
	Espressione di tipo non valida.
javac.err.anonymous.extends=\
	Solo le classi con nome possono avere clausole ''extends'' o ''implements''.
javac.err.invalid.field.reference=\
	Tentativo di riferimento al campo {0} in {1}.
javac.err.no.such.field=\
	Nessuna variabile {0} definita in {1}.
javac.err.no.field.access=\
	La variabile {0} in {1} non è accessibile da {2}.
javac.err.no.type.access=\
	Il tipo interno {0} in {1} non è accessibile da {2}.
javac.err.no.static.field.access=\
	Impossibile creare un riferimento statico alla variabile non statica {0} in {1}.
javac.err.inner.static.ref=\
	Impossibile creare un riferimento statico alla classe interna {0}.
javac.err.ambig.field=\
	Il riferimento a {0} è ambiguo. È definito sia in {1} che in {2}.
javac.err.invalid.field=\
	Tentativo di riferimento al metodo {0} in {1} come variabile istanza.
javac.err.assign.to.final=\
	Impossibile assegnare un valore a una variabile finale: {0}
javac.err.assign.to.blank.final=\
	Impossibile assegnare un secondo valore a una variabile finale vuota: {0}
javac.err.assign.to.blank.final.in.loop=\
	Tentativo di assegnazione a una variabile finale vuota {0} in un loop. L''inizializzazione deve avvenire esattamente una volta.
javac.err.assign.to.uplevel=\
	Tentativo di assegnazione a una variabile {0} in un diverso metodo. Dai blocchi interni, è possibile utilizzare solo le variabili finali locali.
javac.err.invalid.uplevel=\
	Tentativo di utilizzare una variabile non finale {0} da un diverso metodo. Dai blocchi interni, è possibile utilizzare solo le variabili finali locali.
javac.err.uplevel.private=\
	L''accesso da un ambito all''altro al membro privato {0} in {1} non è implementato.  Il riferimento verrà risolto se al membro è assegnato l''ambito del pacchetto.
javac.err.undef.var=\
	Variabile non definita: {0}
javac.err.undef.var.super=\
	Variabile non definita: {0}.  La parola chiave "super" può essere utilizzata solo per accedere al membro e per richiamare il costruttore.
javac.err.undef.var.or.package=\
	Nome della variabile o del pacchetto non definito: {0}
javac.err.undef.var.class.or.package=\
	Nome della variabile, classe o pacchetto non definito: {0}
javac.err.undef.var.or.class=\
	Nome della variabile o della classe non definito: {0}
javac.err.var.not.initialized=\
	La variabile {0} potrebbe non essere stata inizializzata.
javac.err.final.var.not.initialized=\
	La variabile finale vuota ''{0}'' potrebbe non essere stata inizializzata. È necessario assegnarle un valore in un inizializzatore o in ogni costruttore.
javac.err.access.inst.before.super=\
	Impossibile fare riferimento a {0} prima che sia stato chiamato il costruttore della superclasse.
javac.err.ambig.class=\
	Classe ambigua: {0} e {1}
javac.err.invalid.arg=\
	Argomento non valido per {0}.
javac.err.invalid.arg.type=\
	Tipo di argomento {0} non valido per {1}.
javac.err.invalid.length=\
	''length'' applicato a {0}, che non è un array.
javac.err.invalid.constr.invoke=\
	Solo i costruttori possono chiamare altri costruttori.
javac.err.constr.invoke.not.first=\
	La chiamata al costruttore deve essere la prima operazione all''interno di un metodo.
javac.err.invalid.method.invoke=\
	Impossibile chiamare un metodo su {0}.
javac.err.undef.meth=\
	Metodo {0} non trovato in {1}.
javac.err.no.meth.access=\
	Il metodo {0} in {1} non è accessibile da {2}.
#warning:
javac.err.no.override.access=\
	Nota: Il metodo {0} in {1} non ridefinisce il corrispondente metodo in {2}, che è privato per un diverso pacchetto.
javac.err.no.static.meth.access=\
	Impossibile creare un riferimento statico per il metodo {0} in {1}.
javac.err.invalid.protected.method.use=\
	Impossibile accedere al metodo protetto {0} in {1}. {2} non è una sottoclasse della classe corrente.
javac.err.invalid.protected.field.use=\
	Impossibile accedere al campo protetto {0} in {1}. {2} non è una sottoclasse della classe corrente.
javac.err.invalid.protected.type.use=\
	Impossibile accedere al tipo interno protetto {0} in {1}. {2} non è una sottoclasse della classe corrente.
javac.err.invalid.method=\
	Riferimento alla variabile {0} in {1} come se fosse un metodo.
javac.err.invalid.var=\
	Riferimento al metodo {0} in {1} come se fosse una variabile.
#all deprecation-related messages are warnings:
javac.err.class.is.deprecated=\
	Nota: {0} è stato invalidato.
javac.err.meth.is.deprecated=\
	Nota: Il metodo {0} in {1} è stato invalidato.
javac.err.override.is.deprecated=\
	Nota: Il metodo {0} in {1} è stato invalidato, quindi è ridefinito da {2} (che non è stato invalidato).
javac.err.constr.is.deprecated=\
	Nota: Il costruttore {0} è stato invalidato.
javac.err.field.is.deprecated=\
	Nota: La variabile {0} in {1} è stata invalidata.
javac.err.note.deprecations=\
	Nota: {0} file utilizzano API invalidate.  Consultare la documentazione per determinare l''azione più appropriata per ogni file.
javac.err.note.1deprecation=\
	Nota: {0} utilizza una API invalidata.  Consultare la documentazione per determinare l''azione appropriata.
javac.err.note.deprecations.silent=\
	Nota: {0} file utilizzano API invalidate.  Ricompilare con "-deprecation" per i dettagli.
javac.err.note.1deprecation.silent=\
	Note: {0} utilizza una API invalidata.  Ricompilare con "-deprecation" per i dettagli.
javac.err.invalid.array.dim=\
	Dimensione dell''array non valida.
javac.err.ambig.constr=\
	Il costruttore è ambiguo: {0}, {1}
javac.err.explicit.cast.needed=\
	Tipo non compatibile per {0}. È necessario convertire esplicitamente il tipo {1} in {2}.
javac.err.incompatible.type=\
	Tipo non compatibile per {0}. Impossibile convertire {1} in {2}.
javac.err.invalid.term=\
	Termine non valido.
javac.err.private.intf.method=\
	{0} deve ridefinire {1} con un metodo pubblico per implementare {2}.
javac.err.abstract.class=\
	{0} deve essere dichiarata astratta. Non definisce {1} da {2}.
javac.err.abstract.class.not.final=\
	{0} deve essere dichiarata astratta e non finale. Non definisce {1} da {2}.
javac.err.new.intf=\
	{0} è un''interfaccia. Non può essere istanziato.
javac.err.invoke.abstract=\
	Impossibile chiamare direttamente il metodo astratto {0} in {1}.
javac.err.unmatched.meth=\
	Nessun metodo corrispondente a {0} trovato in {1}.
javac.err.unmatched.constr=\
	Nessun costruttore corrispondente a {0} trovato in {1}.
javac.err.wrong.number.args=\
	Numero errato di argomenti in {0}.
javac.err.wrong.number.args=\
	Numero errato di argomenti in {0}.
javac.err.forward.ref=\
	Impossibile creare un riferimento successivo per {0} in {1}.
javac.err.array.dim.missing=\
	Dimensione dell''array mancante.
javac.err.new.abstract=\
	{0} è una classe astratta. Non può essere istanziato.
javac.err.label.not.found=\
	Nessuna definizione di etichetta trovata per {0}.
javac.err.invalid.break=\
	''break'' deve essere in un''istruzione loop o switch.
javac.err.invalid.continue=\
	''continue'' deve essere in un''istruzione loop.
javac.err.branch.to.uplevel=\
	''break'' o ''continue'' devono trasferire il controllo all''interno dello stesso metodo.
javac.err.invalid.decl=\
	Dichiarazione non valida.
javac.err.return.with.value=\
	''return'' con valore da {0}.
javac.err.return.without.value=\
	''return'' senza valore da {0}.
javac.err.return.inside.static.initializer=\
	''return'' interno all''inizializzatore statico.
javac.err.invalid.label=\
	Etichetta non valida.
javac.err.return.required.at.end=\
	Ritorno a capo obbligatorio al termine di {0}.
javac.err.duplicate.label=\
	Etichetta case duplicata: {0}
javac.err.switch.overflow=\
	Etichetta case {0} troppo grande per ''switch'' su {1}
javac.err.const.expr.required=\
	Espressione costante obbligatoria.
javac.err.duplicate.default=\
	Etichetta ''default'' duplicata.
javac.err.not.supported=\
	''{0}'' non supportato.
javac.err.return.with.value.constr=\
	''return'' con valore dal costruttore: {0}
javac.err.package.repeated=\
	È permessa una sola dichiarazione package.
javac.err.class.multidef=\
	Classe {0} già definita in {1}.
javac.err.class.multidef.import=\
	Il nome della classe {0} è in conflitto con la classe importata {1}.
javac.err.final.meth.override=\
	I metodi finali non possono essere ridefiniti. Il metodo {0} è finale in {1}.
javac.err.redef.return.type=\
	Metodo ridefinito con un diverso tipo di return: {0} era {1}
javac.err.override.static.meth=\
	I metodi statici non possono essere ridefiniti. Il metodo {0} è statico in {1}.
javac.err.override.instance.method.static=\
        I metodi istanza non possono essere ridefiniti da un metodo statico.\nIl metodo {0} è un metodo istanza in {1}.
javac.err.override.public=\
	I metodi non possono essere ridefiniti come privati. Il metodo {0} è pubblico in {1}.
javac.err.override.protected=\
	I metodi non possono essere ridefiniti come privati. Il metodo {0} è protetto in {1}.
javac.err.override.private=\
	I metodi non possono essere ridefiniti come privati. Il metodo {0} non è privato in {1}.
javac.err.intf.constructor=\
	Le interfacce non possono avere costruttori.
javac.err.constr.modifier=\
	I costruttori non possono essere nativi, astratti, statici, sincronizzati o finali: {0}
javac.err.intf.initializer=\
	Le interfacce non possono avere inizializzatori statici.
javac.err.intf.modifier.method=\
	I metodi interfaccia non possono essere nativi, statici, sincronizzati, finali, privati o protetti : {0}
javac.err.intf.modifier.field=\
	I campi interfaccia non possono essere privati o protetti: {0}
javac.err.transient.meth=\
	Il metodo {0} non può essere transitorio. Solo le variabili possono essere transitorie.
javac.err.volatile.meth=\
	Il metodo {0} non può essere volatile. Solo le variabili possono essere volatili.
javac.err.static.modifier=\
	I metodi statici non possono essere astratti: {0}
javac.err.invalid.meth.body=\
	I metodi astratti e nativi non possono avere un corpo: {0}
javac.err.var.modifier=\
	Le variabili non possono essere sincronizzate, astratte o native: {0}
javac.err.inner.modifier=\
	Le classi interne non possono essere volatili, transitorie, native o sincronizzate: {0}
javac.err.transient.modifier=\
	Le variabili transitorie non possono essere membri di interfacce: {0}
javac.err.volatile.modifier=\
	Le variabili volatili non possono essere finali o membri di interfacce: {0}
javac.err.initializer.needed=\
	Questa variabile finale deve essere inizializzata: {0}
javac.err.meth.multidef=\
	Dichiarazione di metodo duplicata: {0}
javac.err.meth.redef.rettype=\
	I metodi non possono essere ridefiniti con un diverso tipo di return: {0} era {1}
javac.err.var.multidef=\
	Dichiarazione di variabile duplicata: {0} era {1}
javac.err.inner.class.multidef=\
	Dichiarazione di classe interna duplicata: {0} è già definito in questo ambito.
javac.err.intf.super.class=\
	La superclasse di {0} non può essere un''interfaccia: {1}
javac.err.cant.access.class=\
	Impossibile accedere a {0}. È possibile accedere solo alle classi e alle interfacce pubbliche di altri pacchetti.
javac.err.repeated.modifier=\
	Modificatore ripetuto.
javac.err.inconsistent.modifier=\
	Dichiarazione di membro non consistente. È possibile specificare al massimo un membro pubblico, privato o protetto.
javac.err.super.is.final=\
	Impossibile creare sottoclassi di classi finali: {0}
javac.err.super.is.intf=\
	Impossibile creare sottoclassi di interfacce: {0}
javac.err.cyclic.super=\
	Ereditarietà di classe ciclica.
javac.err.super.is.inner=\
	Ereditarietà di classe ciclica:  una sottoclasse non può includere una superclasse.
javac.err.cyclic.intf=\
	Ereditarietà di interfaccia ciclica.
javac.err.cyclic.scoping=\
	Ambito o ereditarietà di interfaccia ciclica.
javac.err.not.intf=\
	{0} deve essere un''interfaccia.
javac.err.final.intf=\
	Le interfacce non possono essere finali: {0}
javac.err.intf.impl.intf=\
	Un''interfaccia non può implementare nulla, può solo estendere altre interfacce.
javac.err.multiple.inherit=\
	L''ereditarietà multipla non è supportata.
javac.err.intf.repeated=\
	Interfaccia {0} ripetuta.
javac.err.class.format=\
	Formato del file classe non valido: {0}, {1}
javac.err.no.meth.body=\
	Il metodo {0} richiede un corpo del metodo. Altrimenti viene dichiarato come astratto.
javac.err.no.constructor.body=\
	Il costruttore {0} richiede un corpo del metodo.
javac.err.void.inst.var=\
	Le variabili istanza non possono essere di tipo void: {0}
javac.err.invalid.method.decl=\
	Dichiarazione di metodo non valida; è richiesto il tipo di return.
javac.err.invalid.method.decl.name=\
	Dichiarazione di metodo non valida; è richiesto il nome del metodo.
javac.err.invalid.method.decl.qual=\
	Nome del costruttore qualificato non valido.
javac.err.super.not.found=\
	Superclasse {0} di {1} non trovata.
javac.err.intf.not.found=\
	Interfaccia {0} di {1} non trovata.
javac.err.final.abstract=\
        La classe {0} non può essere dichiarata sia astratta che finale.
javac.err.void.argument=\
	L''argomento non può essere di tipo void: {0}
javac.err.invalid.expr=\
	Espressione non valida.
javac.err.catch.not.reached=\
	catch non raggiunto.
javac.err.stat.not.reached=\
	Istruzione non raggiunta.
javac.err.arithmetic.exception=\
	Eccezione aritmetica.
javac.err.generic=\
	{0}
javac.err.public.class.file=\
	La classe pubblica {0} deve essere definita in un file chiamato "{1}".
javac.err.package.class.file=\
	{0} è definito in {1}. Essendo utilizzato al di fuori del file sorgente, deve essere definito in un file chiamato "{2}".
javac.err.lose.precision=\
	È possibile una perdita di precisione. Convertire esplicitamente il tipo {0} in {1}.
javac.err.duplicate.argument=\
	La variabile ''{0}'' è utilizzata due volte nella lista di argomenti di questo metodo.
javac.err.local.redefined=\
	La variable ''{0}'' è già definita in questo metodo.
javac.err.local.class.redefined=\
	La classe locale ''{0}'' è già definita in questo metodo.
javac.err.inner.redefined=\
	Il nome della classe ''{0}'' è già definito in questo ambito.  Una classe interna non può avere lo stesso nome delle classi che la includono.
javac.err.inherited.hides.field=\
	La variabile ''{0}'' è ereditata in {1} e nasconde una variabile con lo stesso nome in {2}. Deve essere utilizzato un qualificatore esplicito ''this'' per selezionare l''istanza desiderata.
javac.err.inherited.hides.local=\
	La variabile ''{0}'' è ereditata in {1} e nasconde una variabile con lo stesso nome. Deve essere utilizzato un qualificatore esplicito ''this'' per selezionare la variabile oppure è necessario ridenominare quella locale.
javac.err.inherited.hides.method=\
	Il metodo ''{0}'' è ereditato in {1} e nasconde un metodo con lo stesso nome in {2}. Deve essere utilizzato un qualificatore esplicito ''this'' per selezionare l''istanza desiderata.
javac.err.inherited.hides.type=\
	Il tipo ''{0}'' è ereditato in {1} e nasconde un tipo con lo stesso nome nell''ambito che lo racchiude. Deve essere utilizzato un prefisso di qualificatore esplicito per assegnare un nome a questo tipo.
javac.err.private.class=\
	Il tipo {0} non può essere privato. I membri del pacchetto sono sempre accessibili all''interno del pacchetto corrente.
javac.err.static.class=\
	Il tipo {0} non può essere dichiarato statico. È già al livello più alto, in quanto è un membro del pacchetto.
javac.err.protected.class=\
	Il tipo {0} non può essere reso protetto. I membri del pacchetto possono essere pubblici o locali rispetto al pacchetto corrente.
javac.err.recursive.constr=\
	Chiamata al costruttore ricorsiva: {0}.
javac.err.wrong.class=\
	Il file {0} non contiene {1} ma {2}. Rimuovere il file o assicurarsi che venga visualizzato nella sottodirectory corretta del percorso della classe.
javac.err.wrong.source=\
	Il file {0} non contiene {1}. Correggere il percorso della classe in modo che il file non venga visualizzato in {2}.
javac.err.class.not.found=\
	Classe {0} non trovata in {1}.
javac.err.package.not.found=\
	Pacchetto {0} non trovato in {1}.
javac.err.illegal.mangled.name=\
	Nome {0} non valido per {1}.
javac.err.class.and.package=\
	Nome ambiguo: {0} è sia una classe che un pacchetto.
javac.err.invalid.throws=\
	Eccezione {0} non valida nella clausola throws. L''eccezione deve essere una sottoclasse di una eccezione sollevata da {1} a partire da {2}.
javac.err.throws.not.throwable=\
	{0} nella clausola throws deve essere una sottoclasse della classe java.lang.Throwable.
javac.err.throw.not.throwable=\
	Impossibile sollevare un''eccezione per {0}; deve essere una sottoclasse della classe java.lang.Throwable.
javac.err.catch.not.throwable=\
	Impossibile catturare {0}; deve essere una sottoclasse della classe java.lang.Throwable.
javac.err.initializer.exception=\
	L''eccezione {0} non può essere sollevata nell''inizializzatore.
javac.err.cant.read=\
	Impossibile leggere: {0}
javac.err.cant.write=\
	Impossibile scrivere: {0}
javac.err.fatal.error=\
	Si è verificato un errore nel compilatore; creare un prospetto dei bug (http://java.sun.com/cgi-bin/bugreport.cgi).
javac.err.fatal.exception=\
	Si è verificata un''eccezione nel compilatore; creare un prospetto dei bug (http://java.sun.com/cgi-bin/bugreport.cgi).
javac.err.no.inner.classes=\
	Il supporto per le classi interne è stato disabilitato.
javac.err.uncaught.exception=\
	L''eccezione {0} deve essere catturata, o deve essere dichiarata nella clausola throws di questo metodo.
javac.err.catch.not.thrown=\
	L''eccezione {0} non è mai sollevata nel corpo della corrispondente istruzione try.
#warning:
javac.err.array.clone.supported=\
	Nota: La clonazione di un array non solleva le eccezioni definite e quindi non richiede clausole catch.  Rimuovere le clausole catch inutilizzate o, per conservare la compatibilità con i compilatori precedenti, è possibile inserire la seguente istruzione throw artificiale:  if (false) throw new CloneNotSupportedException();
javac.err.no.outer.arg=\
	Nessuna istanza inclusiva di {0} è compresa nell''ambito; \
	è necessario specificarne una esplicita durante la creazione di {1}, \
	come in "outer. new Inner()" o "outer. super()".
javac.err.no.default.outer.arg=\
	Nessuna istanza inclusiva di {0} è compresa nell''ambito; \
	impossibile creare un costruttore predefinito per {1}.
javac.err.no.outer.base=\
	Nessuna istanza inclusiva di {0} è compresa nell''ambito; \
	è necessario fornirne una durante l''accesso a {1}, \
	come in "outer.member".
javac.err.static.inner.class=\
	Il tipo {0} non può essere statico.  I membri statici possono esistere solo nelle interfacce e nelle classi di livello più alto.
javac.err.static.inner.field=\
	La variabile {0} non può essere statica in {1}.  Solo i membri delle interfacce e delle classi di livello più alto possono essere statici.
javac.err.static.inner.method=\
	Il metodo {0} non può essere statico in {1}.  Solo i membri delle interfacce e delle classi di livello più alto possono essere statici.
javac.err.too.many.errors=\
	Troppi errori.  (Il limite massimo degli errori segnalati è {0}.)
#
benv.parsed_in=[parsed {0} in {1} ms]
benv.loaded_in=[loaded {0} in {1} ms]
benv.failed_to_close_class_path=failed to close class path: {0}
main.usage=uso: {0} [-g][-O][-debug][-depend][-nowarn][-verbose][-classpath path][-nowrite][-deprecation][-d dir][-J<runtime flag>] file.java...
main.wrote=[wrote {0}]
main.errors={0} errori
main.1error=1 errore
main.warnings={0} avvertimenti
main.1warning=1 avvertimento
main.done_in=[done in {0} ms]
javac.err.invalid.encoding.char=\
	La codifica del file sorgente potrebbe differire da quella della presente piattaforma. Utilizzare l''opzione -encoding per correggere la codifica del file o eseguire l''utility native2ascii per trasformarla in ASCII.
